# Uses of Class
javax.swing.plaf.RootPaneUI

Packages that use RootPaneUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of RootPaneUI in javax.swing

Methods in javax.swing that return RootPaneUI
Modifier and Type
Method
Description
`RootPaneUI`
JRootPane.`getUI()`
Returns the L&F object that renders this component.
Methods in javax.swing with parameters of type RootPaneUI
Modifier and Type
Method
Description
`void`
JRootPane.`setUI​(RootPaneUI ui)`
Sets the L&F object that renders this component.

## Uses of RootPaneUI in javax.swing.plaf.basic

Subclasses of RootPaneUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicRootPaneUI`
Basic implementation of RootPaneUI, there is one shared between all JRootPane instances.

## Uses of RootPaneUI in javax.swing.plaf.metal

Subclasses of RootPaneUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalRootPaneUI`
Provides the metal look and feel implementation of `RootPaneUI`.

## Uses of RootPaneUI in javax.swing.plaf.multi

Subclasses of RootPaneUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiRootPaneUI`
A multiplexing UI used to combine `RootPaneUI`s.

## Uses of RootPaneUI in javax.swing.plaf.synth

Subclasses of RootPaneUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthRootPaneUI`
Provides the Synth L&F UI delegate for `JRootPane`.